mkosi: Remove explicit /testok check

vsock should work properly after the latest release of mkosi. But
to make sure it works, let's exit with 123 in case of success and
check for that in Github Actions.
This commit is contained in:
Daan De Meyer 2023-06-08 17:50:05 +02:00
parent abeecde242
commit 6aca147f82
2 changed files with 5 additions and 9 deletions

View file

@ -121,11 +121,7 @@ jobs:
run: mkosi --debug run: mkosi --debug
- name: Boot ${{ matrix.distro }} systemd-nspawn - name: Boot ${{ matrix.distro }} systemd-nspawn
run: sudo mkosi --debug boot run: test "$(sudo mkosi --debug boot 1>&2; echo $?)" -eq 123
- name: Boot ${{ matrix.distro }} QEMU - name: Boot ${{ matrix.distro }} QEMU
run: timeout -k 30 10m mkosi --debug qemu run: timeout -k 30 10m test "$(mkosi --debug qemu 1>&2; echo $?)" -eq 123
# vsock in Github Actions with qemu is broken so for now we check for failures manually.
- name: Check ${{ matrix.distro }} QEMU
run: sudo mkosi shell bash -c "[[ -e /testok ]] || { cat /failed-services; exit 1; }"

View file

@ -1,8 +1,6 @@
#!/bin/bash -eux #!/bin/bash -eux
# SPDX-License-Identifier: LGPL-2.1-or-later # SPDX-License-Identifier: LGPL-2.1-or-later
rm -f /testok
# TODO: Figure out why this is failing # TODO: Figure out why this is failing
systemctl reset-failed systemd-vconsole-setup.service systemctl reset-failed systemd-vconsole-setup.service
@ -20,4 +18,6 @@ fi
# Exit with non-zero EC if the /failed-services file is not empty (we have -e set) # Exit with non-zero EC if the /failed-services file is not empty (we have -e set)
[[ ! -s /failed-services ]] [[ ! -s /failed-services ]]
touch /testok # On success, exit with 123 so that we can check that we receive the actual exit code from the script on the
# host.
exit 123